#include "rvm/rvm_use_id_list.h"

void r2d_lcd_power_on(void)
{
}

void r2d_lcd_power_off(void)
{
}

void r2d_refresh(void)
{
//	UINT16 i,j;

//    UINT32 v;
	//char debug[256];

    UINT32  *p;
	HDC bm;

	bm=lcd_get_dc();
	

	
	//lcd_set_pos(0,0);// set X to 0
	
    	
    // rvf_send_trace("R2D REFRESH",strlen("R2D REFRESH"), NULL_PARAM, 
	//		   RV_TRACE_LEVEL_DEBUG_HIGH, TRACE_XXX );

	p=r2d_g_framebuffer->p_memory_words;
    


// Force refresh of all screen. On some PC
// the display is not refreshed if we try to limit the refresh to the updated
// region. So, as a temporary workaround, the whole display is refreshed
// The problem is due to the fact that the PC refresh is asynchronous
// to the r2d_reinit_update_region


	//lcd_refresh();
	//r2d_reinit_update_region();
   
   r2d_reinit_update_region();
   lcd_refresh();


}